#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-docutils
Version		:	0.20.1
Release		:	16.2.0.rel%{?dist}
Summary		:	A modular system for processing documentation into useful format.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/docutils

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

#Requires	:	python3-libstemmer

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Docutils is a modular system for processing documentation
into useful formats, such as HTML, XML, and LaTeX.
For input Docutils supports reStructuredText, an easy-to-read,
what-you-see-is-what-you-get plaintext markup syntax.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING.txt README.txt THANKS.txt
%{_bindir}/%{sname}
%{_bindir}/rst*
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/languages/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/languages/*.py
%{python3_sitelib}/%{sname}/parsers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/parsers/*.py
%{python3_sitelib}/%{sname}/parsers/rst/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/parsers/rst/*.py
%{python3_sitelib}/%{sname}/parsers/rst/languages/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/parsers/rst/languages/*.py
%{python3_sitelib}/%{sname}/parsers/rst/directives/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/parsers/rst/directives/*.py
%{python3_sitelib}/%{sname}/parsers/rst/include/*.txt
%{python3_sitelib}/%{sname}/utils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/*.py
%{python3_sitelib}/%{sname}/readers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/readers/*.py
%{python3_sitelib}/%{sname}/utils/math/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/math/*.py
%{python3_sitelib}/%{sname}/transforms/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/transforms/*.py
%{python3_sitelib}/%{sname}/writers/*.py
%{python3_sitelib}/%{sname}/writers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/html4css1/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/html4css1/*.{py,css,txt}
%{python3_sitelib}/%{sname}/writers/latex2e/docutils.sty
%{python3_sitelib}/%{sname}/writers/latex2e/*.py
%{python3_sitelib}/%{sname}/writers/latex2e/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/latex2e/*.tex
%{python3_sitelib}/%{sname}/writers/odf_odt/*.py
%{python3_sitelib}/%{sname}/writers/odf_odt/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/odf_odt/styles.odt
%{python3_sitelib}/%{sname}/writers/pep_html/*.py
%{python3_sitelib}/%{sname}/writers/pep_html/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/pep_html/pep.css
%{python3_sitelib}/%{sname}/writers/pep_html/template.txt
%{python3_sitelib}/%{sname}/writers/html5_polyglot/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/html5_polyglot/*.py
%{python3_sitelib}/%{sname}/writers/html5_polyglot/*.{css,txt}
%{python3_sitelib}/%{sname}/writers/s5_html/*.py
%{python3_sitelib}/%{sname}/writers/s5_html/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/writers/s5_html/themes/*
%{python3_sitelib}/%{sname}/writers/xetex/*.py
%{python3_sitelib}/%{sname}/writers/xetex/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
